{ inputs, config, ... }:

{
  imports = [
    inputs.hyprlock.homeManagerModules.default
  ];

  programs.hyprlock = {
    enable = true;
    backgrounds = [
      {
        monitor = "";
        path = "$HOME/Pictures/wallpaper-2.png";
        blur_passes = 1;
      }
    ];
    input-fields = [{
      monitor = "";
      size = {
        width = 400;
      };
      fade_on_empty = false;
      dots_size = 0.3;
      dots_center = true;
      outline_thickness = -1;
      outer_color = "0xff${config.colorScheme.palette.base05}";
      inner_color = "0xff${config.colorScheme.palette.base00}";
      font_color = "0xff${config.colorScheme.palette.base05}";
      placeholder_text = "<i>Press enter for fingerprint</i>";
      position.x = 0;
      position.y = -50;
    }];
    labels = [{
      font_size = 80;
      color = "0xff${config.colorScheme.palette.base06}";
      position.x = 0;
      position.y = 250;
      font_family = "DejaVuSansM Nerd Font Mono";
      text = "$TIME";
    }];
  };
}
