require("mason").setup{
  PATH = "append",
}
require("mason-lspconfig").setup()
require('neodev').setup()

local lspconfig = require('lspconfig')

vim.g.rustaceanvim = {
  inlay_hints = {
    highlight = "NonText",
  },
  tools = {
    hover_actions = {
      auto_focus = true,
    },
  },
  server = {
    on_attach = function(client, bufnr)
      require("lsp-inlayhints").on_attach(client, bufnr)
    end,
  },
}

lspconfig.tsserver.setup{}

lspconfig.spyglassmc_language_server.setup{}

lspconfig.arduino_language_server.setup{
  cmd = {
      "steam-run","arduino-language-server",
      "-cli-config", "/home/xeovalyte/.arduino15/arduino-cli.yaml",
      "-cli", "/usr/bin/arduino-cli",
      "-clangd", "steam-run clangd"
  }
}

lspconfig.tailwindcss.setup{}

lspconfig.volar.setup{}

lspconfig.marksman.setup{}
